<?php

/*
 * @component UserPoints, Copyright (C) 2015-2022 Bernard Gilly - Adrien Roussel - Martin Brampton
 * @copyright Copyright (C) 2011 Mike Gusev (migus) - Updated by Bernard Gilly - Adrien Roussel for full compatibility Joomla 3.1.x on June 2013
 * @license : GNU/GPL
 * @Website : http://migusbox.com
 */

namespace BlackSheepResearch\Component\UserPoints\Site\Viewers;

// no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Pagination\Pagination;

class RulesHTML extends UserView {

    function _displaylist($tpl = null) {
        $document = Factory::getDocument();
        $this->pagination = new Pagination($this->total, $this->limitstart, $this->limit);
        $document->setTitle($document->getTitle() . ' - ' . $this->pagination->getPagesCounter());

        parent::display($tpl);
    }

}
